<?php

namespace Signteer\Core\Model;

use Signteer\Core\Model\Task;

class SheetWithTasks extends Sheet
{
    private array $tasks = [];

    public function addTask(Task $task): self
    {
        $this->tasks[$task->getId()] = $task;

        return $this;
    }

    public function getTasks(): array
    {
        return $this->tasks;
    }
}
